Skip to main content

GS1 Web Vocabulary

The GS1 Web Vocabulary API provides structured data about products, organizations, locations, and certifications in web-friendly formats, implementing the GS1 Web Vocabulary standard for enhanced discoverability and interoperability.

Overview

The GS1 Web Vocabulary is a standardized way to express supply chain data on the web, making it:

  • Machine-readable - Structured data that search engines and applications can understand
  • Semantically rich - Uses standard vocabularies (Schema.org, GS1)
  • Web-native - JSON-LD format optimized for web consumption
  • Interoperable - Works across different systems and platforms

Base Endpoint

https://mydomain.trackvision.ai/gs1webvoc

Replace mydomain with your actual TrackVision subdomain.

Product Data

Get Product Information

Retrieve structured product data in GS1 Web Vocabulary format:

GET /gs1webvoc/product?gtin={gtin}

Example Response

{
"@context": {
"gs1": "https://ref.gs1.org/voc/",
"xsd": "http://www.w3.org/2001/XMLSchema#"
},
"@id": "https://example.com/01/09312345551927",
"@type": "gs1:FoodBeverageTobaccoProduct",
"gs1:allergenStatement": {
"@language": "en",
"@value": "Contains sulfites"
},
"gs1:brand": {
"@type": "gs1:Brand",
"gs1:brandName": {
"@language": "en",
"@value": "Result Wines"
}
},
"gs1:calciumPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "1.00",
"gs1:unitCode": "MGM",
"gs1:value": "1.00"
},
"gs1:carbohydratesPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "3.00",
"gs1:unitCode": "GRM",
"gs1:value": "2.70"
},
"gs1:cholesterolPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "MGM",
"gs1:value": "0.00"
},
"gs1:energyPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "1.00",
"gs1:unitCode": "E14",
"gs1:value": "80.00"
},
"gs1:fatPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "GRM",
"gs1:value": "0.00"
},
"gs1:fibrePerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "GRM",
"gs1:value": "0.00"
},
"gs1:functionalName": {
"@language": "en",
"@value": "Wine"
},
"gs1:gtin": "09312345551927",
"gs1:ingredientStatement": {
"@language": "en",
"@value": "Sauvignon Blanc grapes (70%), Semillon grapes (30%), water (1%), yeast (trace), tartaric acid (0.2%), potassium metabisulfite (0.015%), oak extract (trace)"
},
"gs1:ironPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.10",
"gs1:unitCode": "MGM",
"gs1:value": "0.10"
},
"gs1:netContent": {
"@type": "gs1:QuantitativeValue",
"gs1:unitCode": "MLT",
"gs1:value": "750.00"
},
"gs1:nutrientBasisQuantity": {
"@type": "gs1:QuantitativeValue",
"gs1:unitCode": "MLT",
"gs1:value": "100.00"
},
"gs1:nutrientBasisQuantityType": "https://ref.gs1.org/voc/NutrientBasisQuantityCode-BY_MEASURE",
"gs1:percentageOfAlcoholByVolume": "14.50",
"gs1:productName": {
"@language": "en",
"@value": "Semillon Sauvignon Blanc 2024"
},
"gs1:proteinPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "GRM",
"gs1:value": "0.00"
},
"gs1:saltPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "2.00",
"gs1:unitCode": "GRM",
"gs1:value": "0.12"
},
"gs1:saturatedFatPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "GRM",
"gs1:value": "0.00"
},
"gs1:sugarsPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "3.00",
"gs1:unitCode": "GRM",
"gs1:value": "2.70"
},
"gs1:variantDescription": {
"@language": "en",
"@value": "Semillon Sauvignon Blanc"
},
"gs1:vitaminAPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "MGM",
"gs1:value": "0.00"
},
"gs1:vitaminCPerNutrientBasis": {
"@type": "gs1:NutritionMeasurementType",
"gs1:dailyValueIntakePercent": "0.00",
"gs1:unitCode": "MGM",
"gs1:value": "0.00"
}
}

Organisation Data

Get Organisation Information

Retrieve structured organization data in GS1 Web Vocabulary format:

GET /gs1webvoc/organization?gln={gln}

Example Response

{
"@context": {
"gs1": "https://ref.gs1.org/voc/",
"xsd": "http://www.w3.org/2001/XMLSchema#"
},
"@id": "https://example.com/417/1600005900016",
"@type": "gs1:Organization",
"gs1:globalLocationNumber": "1600005900016",
"gs1:organizationName": {
"@language": "en",
"@value": "Southland Plantation Company"
},
"gs1:organizationRole": "gs1:OrganizationRoleType-GROWER",
"gs1:partyGLN": "1600005900016"
}

Location Data

Get Location Information

Retrieve structured location data:

GET /gs1webvoc/place?gln={gln}

Example Response

{
"@context": {
"gs1": "https://ref.gs1.org/voc/",
"xsd": "http://www.w3.org/2001/XMLSchema#"
},
"@id": "https://example.com/414/1600005100010",
"@type": "gs1:Place",
"gs1:address": {
"@type": "gs1:PostalAddress",
"gs1:addressCountry": {
"@type": "gs1:Country",
"gs1:countryCode": "NZ"
},
"gs1:addressLocality": {
"@language": "en",
"@value": "Southland"
},
"gs1:addressRegion": {
"@language": "en",
"@value": "South Island"
},
"gs1:postalCode": "S1932",
"gs1:streetAddress": {
"@language": "en",
"@value": "58 Bluff Hwy"
}
},
"gs1:contactPoint": {
"@type": "gs1:ContactPoint",
"gs1:telephone": "555-3433-2232"
},
"gs1:geo": {
"@type": "gs1:GeoShape",
"gs1:polygon": "[[[168.33099269803034,-46.51455115777988],[168.32547947649863,-46.51601550262864],[168.32547947649863,-46.519409968472296],[168.3283811720422,-46.51867784671639],[168.3281877256726,-46.525532782341564],[168.3406650165091,-46.5241352443007],[168.34076173969277,-46.5164148625575],[168.33447473268268,-46.51747980801913],[168.3346681790523,-46.51588238200088],[168.33273371535654,-46.51481740523293],[168.33176648350872,-46.51541645723297],[168.33099269803034,-46.51455115777988]]]"
},
"gs1:glnType": "https://ref.gs1.org/voc/GLN_TypeCode-FIXED_PHYSICAL_LOCATION",
"gs1:globalLocationNumber": "1600005100010",
"gs1:locationGLN": "1600005100010",
"gs1:locationRole": "gs1:LocationRoleType-FARM",
"gs1:ownedBy": {
"@id": "https://example.com/417/1600005900016",
"@type": "gs1:Organization",
"gs1:globalLocationNumber": "1600005900016",
"gs1:organizationName": {
"@language": "en",
"@value": "Southland Plantation Company"
},
"gs1:organizationRole": "gs1:OrganizationRoleType-GROWER",
"gs1:partyGLN": "1600005900016"
},
"gs1:physicalLocationName": {
"@language": "en",
"@value": "Southland Plantation B"
}
}

Certifications

Certifications can be retrieved for products, organizations or locations

Get Certifications for a Location

GET /gs1webvoc/certification/place?gln={gln}

Example Response

{
"@context": {
"gs1": "https://ref.gs1.org/voc/",
"xsd": "http://www.w3.org/2001/XMLSchema#"
},
"@type": "gs1:CertificationDetails",
"gs1:certificationAgency": {
"@language": "en",
"@value": "AsureQuality"
},
"gs1:certificationAgencyURL": "https://www.asurequality.com/",
"gs1:certificationAuditDate": "2024-01-04",
"gs1:certificationEndDate": "2025-01-05",
"gs1:certificationIdentification": "AS-99-501",
"gs1:certificationStandard": {
"@language": "en",
"@value": "AsureQuality Organic Standard"
},
"gs1:certificationStartDate": "2024-01-04",
"gs1:certificationStatement": {
"@language": "en",
"@value": "This statement certifies that \nFNT Dairy\nhave earned the AsureQuality Organic Standard v8 Certification\nAudit completed January 4th, 2024"
},
"gs1:certificationStatus": "https://ref.gs1.org/voc/CertificationStatus-ACTIVE",
"gs1:certificationSubject": [
{
"@id": "https://example.com/414/7777666100049",
"@type": "gs1:Place",
"gs1:glnType": "https://ref.gs1.org/voc/GLN_TypeCode-FIXED_PHYSICAL_LOCATION",
"gs1:globalLocationNumber": "7777666100049",
"gs1:locationGLN": "7777666100049",
"gs1:physicalLocationName": {
"@language": "en",
"@value": "Bay of Plenty Dairy Farm"
}
},
{
"@id": "https://example.com/414/7777666100032",
"@type": "gs1:Place",
"gs1:glnType": "https://ref.gs1.org/voc/GLN_TypeCode-FIXED_PHYSICAL_LOCATION",
"gs1:globalLocationNumber": "7777666100032",
"gs1:locationGLN": "7777666100032",
"gs1:physicalLocationName": {
"@language": "en",
"@value": "Manawatu Dairy Farm"
}
},
{
"@id": "https://example.com/414/7777666100025",
"@type": "gs1:Place",
"gs1:glnType": "https://ref.gs1.org/voc/GLN_TypeCode-FIXED_PHYSICAL_LOCATION",
"gs1:globalLocationNumber": "7777666100025",
"gs1:locationGLN": "7777666100025",
"gs1:physicalLocationName": {
"@language": "en",
"@value": "Taranaki Dairy Farm"
}
},
{
"@id": "https://example.com/414/7777666100018",
"@type": "gs1:Place",
"gs1:glnType": "https://ref.gs1.org/voc/GLN_TypeCode-FIXED_PHYSICAL_LOCATION",
"gs1:globalLocationNumber": "7777666100018",
"gs1:locationGLN": "7777666100018",
"gs1:physicalLocationName": {
"@language": "en",
"@value": "Waikato Dairy Farm"
}
},
{
"@id": "https://example.com/417/7777666776619",
"@type": "gs1:Organization",
"gs1:globalLocationNumber": "7777666776619",
"gs1:organizationName": {
"@language": "en",
"@value": "NT Dairy"
},
"gs1:partyGLN": "7777666776619"
}
],
"gs1:certificationURI": "https://www.asurequality.com/certifications/AS-99-501",
"gs1:certificationValue": {
"@language": "en",
"@value": "PASS"
},
"gs1:initialCertificationDate": "2024-01-04"
}

Get Certifications for an Organisation

GET gs1webvoc/certification/organization?gln={party gln}

Get Certifications for a Product

GET /gs1webvoc/certification/product?gtin={gtin}